package com.example.service;

import com.example.entity.dto.AccountDTO;
import reactor.core.publisher.Mono;

public interface AccountService  {

    /**
     * 根据用户名或邮箱查找账户
     *
     * @param text 用户名或邮箱
     * @return 返回包含账户信息的响应式 Mono 流
     */
    Mono<AccountDTO> findAccountByNameOrEmail(String text);

}
