package com.example.controller;

import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/chat/test")
public class TestController {

    @GetMapping("/hello")
    public String hello() {
        return "hello, world!";
    }

    @PostMapping("/addAccount")
    public String addAccount() {
        return "添加一个帐户";
    }

    @PutMapping("/updateAccount")
    public String updateAccount() {
        return "所有字段都要传";
    }

    @PatchMapping("/updateAccountInfo")
    public String updateAccountInfo() {
        return "只传要更新的字段";
    }

    @DeleteMapping("/deleteAccountById/{id}")
    public String deleteAccountById(@PathVariable int id) {
        return "删除一个帐户" + id;
    }

}
