package com.example.entity.dto;

import com.example.entity.BaseData;
import lombok.Builder;
import org.springframework.data.annotation.Id;
import org.springframework.data.relational.core.mapping.Column;
import org.springframework.data.relational.core.mapping.Table;

import java.time.LocalDateTime;
@Table("db_account")
@Builder
public record AccountDTO(
        @Id
        Integer id,
        @Column("username")
        String username,
        @Column("password")
        String password,
        @Column("email")
        String email,
        String role,
        LocalDateTime registerTime
) implements BaseData {}
